commit:     05a921bb15ccf3dafaab67b7b9e51ef2b8a78282
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 17 14:53:45 2021 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Sun Oct 17 14:54:29 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=05a921bb

dev-ml/merlin: bump to 4.3.1

Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-ml/merlin/Manifest            |  2 +
 dev-ml/merlin/merlin-4.3.1.ebuild | 84 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 86 insertions(+)

diff --git a/dev-ml/merlin/Manifest b/dev-ml/merlin/Manifest
index 4898821f67c..e46fef33184 100644
--- a/dev-ml/merlin/Manifest
+++ b/dev-ml/merlin/Manifest
@@ -2,3 +2,5 @@ DIST merlin-3.4.2.tar.gz 11016272 BLAKE2B 
6fa55423df7ae8f7a8056e90be630f148dd101
 DIST merlin-4.1.tar.gz 2136082 BLAKE2B 
3e7e1996611f0cefb3a33b2a78cd36b6e8b84d48bc48f46c45ba340c4be1b93b4a1876f8f4192e911c1c384c416ad7502ba3c7a2abb72eff01215f9fb26bfaf0
 SHA512 
f0f3ada007f8214b97a8557bddca87eded48ee01a8bb88aba6476e52881ead52d9f47e2666a9292b5c6a490e4cfdc7d8bb322e8489f78eaac7b0f80b6d1e87bc
 DIST merlin-4.2-411.tar.gz 1601588 BLAKE2B 
348b48ccf2b209bb511450e4ba46ceb3639b1a5facd70bec4519369907e162e95575fa101aa1b79c56719927272a4feebf981692ea2bcb2299fc2c284833b1be
 SHA512 
9ca8d3690621019b8213abcc1a32e1d754b93849f0bbd79bcab3a14915acc295eb60a7b68e997a75e777daaef83d5ca3e81944b7baf352dc4cce8480905ea2d7
 DIST merlin-4.2-ocaml-4.12.patch.gz 816740 BLAKE2B 
d96ab1059683799312fc8828e8a46bccaae9279b6d711eb7ed47b6e8631d80e09f236bf6f726bafb37ae243457df3220a9948f4f6de6da20c2a6c66a1edb8f3f
 SHA512 
4eef08ac8a7f240596395d8460a4d3195c1483fb686aa7d5231d7ea28c9c6996196890f76feae951d2539ac7abc1f16ee3c453031e6d19af554ff27d67a63229
+DIST merlin-4.3.1-411.tar.gz 1626551 BLAKE2B 
c4340ff9b50c72208c4cb13d13e26f36463d7c257530d183a293eaaf3d86aaa71745d8154bb5c0e2149003b3cbe5a127fb6187e7bb7fa7024924fd239f981cfc
 SHA512 
bcbba0c1bb1c84eef7becc4a537e1c2a4bd370a33333bfba1029c82fa8b1d9cdf367f98779fe3329286e418c41b06b49bfe796f5cf8058bcd189b4f33aad1abf
+DIST merlin-4.3.1-ocaml-4.12.patch.gz 818559 BLAKE2B 
accf65bd5d5798bafe2be022d685da8f829aa9a9c98784420d8a62646d80ab73d1e189e3601266e09eebd4732ae241e8d11dc9663adac3b03a555db663a6d649
 SHA512 
8823b6e30e49ab3cf35a78063066f01aa7dcbc9174d45b0fed94a3f50e388c35e7ac810c5548c57d7bcf9304b045c483080496865b011269913120a5509a1149

diff --git a/dev-ml/merlin/merlin-4.3.1.ebuild 
b/dev-ml/merlin/merlin-4.3.1.ebuild
new file mode 100644
index 00000000000..d269247a372
--- /dev/null
+++ b/dev-ml/merlin/merlin-4.3.1.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+# TODO: vim-plugin, although it's not clear how to make it work here
+inherit elisp-common dune
+
+DESCRIPTION="Context sensitive completion for OCaml in Vim and Emacs"
+HOMEPAGE="https://github.com/ocaml/merlin";
+SRC_URI="https://github.com/ocaml/merlin/archive/v${PV}-411.tar.gz -> 
${P}-411.tar.gz
+       https://dev.gentoo.org/~tupone/distfiles/${P}-ocaml-4.12.patch.gz";
+
+LICENSE="MIT"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="emacs +ocamlopt test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-ml/csexp:=
+       dev-ml/yojson:=
+       dev-ml/menhir:=
+       >=dev-ml/dune-2.9
+       || (
+               dev-lang/ocaml:0/4.11
+               dev-lang/ocaml:0/4.12
+       )
+       emacs? (
+               >=app-editors/emacs-23.1:*
+               app-emacs/auto-complete
+               app-emacs/company-mode
+       )
+"
+DEPEND="${RDEPEND}
+       test? ( app-misc/jq )"
+
+SITEFILE="50${PN}-gentoo.el"
+
+S="${WORKDIR}"/${P}-411
+
+src_prepare() {
+       has_version "dev-lang/ocaml:0/4.12" && \
+               eapply "${WORKDIR}"/${P}-ocaml-4.12.patch
+       default
+
+       # Handle installation via the eclass
+       rm emacs/dune || die
+
+       # rm failing test
+       rm -r tests/test-dirs/locate/context-detection/cd-mod_constr.t || die
+}
+
+src_compile() {
+       dune build @install
+
+       if use emacs ; then
+               # Build the emacs integration
+               cd emacs || die
+
+               # iedit isn't packaged yet
+               rm merlin-iedit.el || die
+
+               elisp-compile *.el
+       fi
+}
+
+src_install() {
+       dune_src_install
+
+       if use emacs ; then
+               cd "${S}/emacs" || die
+               elisp-install ${PN} *.el *.elc
+               elisp-site-file-install "${FILESDIR}/${SITEFILE}"
+       fi
+}
+
+pkg_postinst() {
+       use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+       use emacs && elisp-site-regen
+}

Reply via email to